- Main Page
- Modules
- Data Structures
- Files
- Directories

# e_timers.c File Reference

Manage camera's interrupts (two timers). More...

`#include <p30f6014A.h>`
`#include "../../motor_led/e_epuck_ports.h"`
`#include "e_po3030k.h"`

## Functions
int | __attribute__ ((near))
static void | init_timer5 (void)
static void | init_timer4 (void)
void | e_po3030k_launch_capture (char *buf)
int | e_po3030k_apply_timer_config (int pixel_row, int pixel_col, int bpp, int pbp, int bbl)
int | e_po3030k_is_img_ready (void)
## Variables
char * | _po3030k_buffer
int | _po3030k_img_ready
static int | blank_row_betw

## Detailed Description

Manage camera's interrupts (two timers).

Author:
  Philippe Rétornaz

## Function Documentation

int __attribute__ | ( | (near) |  | ) |

int e_po3030k_apply_timer_config | ( | int | pixel_row,
|  | int | pixel_col,
|  | int | bpp,
|  | int | pbp,
|  | int | bbl |
| ) |  |  |

Modify the interrupt configuration

Warning:
  This is an internal function, use e_po3030k_config_cam

Parameters:

  | pixel_row | The number of row to take
  | pixel_col | The number of pixel to take each pixel_row
  | bpp | The number of byte per pixel
  | pbp | The number of pixel to ignore between each pixel
  | bbl | The number of row to ignore between each line

Returns:
  Zero if OK, non-zero if the mode exceed internal data representation

See also:
  e_po3030k_get_bytes_per_pixel and e_po3030k_config_cam

int e_po3030k_is_img_ready | ( | void |  | ) |

Check if the current capture is finished

Returns:
  Zero if the current capture is in progress, non-zero if the capture is done.

See also:
  e_po3030k_launch_capture

void e_po3030k_launch_capture | ( | char * | buf | ) |

Launch a capture in the buf buffer

Parameters:

  | buf | The buffer to write to

See also:
  e_po3030k_config_cam and e_po3030k_is_img_ready

static void init_timer4 | ( | void |  | ) | `[static]`

static void init_timer5 | ( | void |  | ) | `[static]`

## Variable Documentation

char* _po3030k_buffer

The buffer to write to

int _po3030k_img_ready

The flag to tell, the image is ready or not Zero mean capture is in progress, non-zero mean capture done.

See also:
  e_po3030k_is_img_ready

int blank_row_betw`[static]`